<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2016  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/

  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $jour=$values=$record=array();
  htmlCommun(BY_DAY);
?>

<body>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <?php echo BY_DAY;?>
  <a href=monthly.php><?php echo BY_MONTH;?></a>
  <a href=yearly.php><?php echo KYR;?></a>
  <a href=index.php><?php echo DAY_PROD;?></a>
<?php
  $ret=$db->query('SELECT last, time, kld, kdy FROM `zzzt_kld_errors` LIMIT 0 , 30');
  if ($ret!=false && $db->num_rows() > 0) {
    echo "<table bgcolor='red' border=1>
          <tr><th colspan=4>".FW_ERROR."</th></tr>
          <tr><th>".DDY."</th><th>".THR."</th><th>".KDY."</th><th>KLD</th></tr>";
    while ($row = $db->fetch())
      echo "<tr><td>{$row['last']}</td><td>{$row['time']}</td><td>{$row['kdy']}</td><td>{$row['kld']}</td></tr>";
    echo '</table>';
  }
?>
  
  <script type="text/javascript">
    document.write("<div id=\"holder\"></div>");
     
    <?php
      $select="SELECT date,production FROM zzzt_daily ";
      $order=" ORDER BY date ASC";
      
      if( isset($_GET['year']) )
        $where="WHERE YEAR(date)=".substr($_GET['year'],0,4);
      else
        $where="WHERE TO_DAYS( NOW( ) ) - TO_DAYS( date ) < 60";

      
      $sql=$select.$where.$order;
      
      $db->query($sql);
      while ($row = $db->fetch()) {
	$jour[]=$row['date'];
	$values[]=$row['production'];
      }

      foreach ($jour as $j ) {
	  $sql="SELECT MAX(production) AS max, ROUND( AVG(production), 1) AS moy
		      FROM zzzt_daily
		WHERE DAY(date) = DAY('$j')
		AND MONTH(date) = MONTH('$j')";
	  $db->query($sql);
	  $row=$db->fetch();
	  $record[]=$row['max'];
	  $moyenne[]=$row['moy'];
      }
    ?>

    new Morris.Area({element: 'holder',
		     lineColors: ['#d92525',
				  '#33A61b',
				  '#0e3d59'], 
		      hoverCallback: function (index, options, content) {
					  var row = options.data[index];
					  return '<a href=index.php?day=' + row.j + "><?php echo DAY_PROD;?></a>" + content ;
					},
		      fillOpacity: 0.5,
		      postUnits: 'kWh',
		      behaveLikeLine: true,
		      smooth: false,
		      hideHover: 'auto',
                      resize: true,
                      redraw: true,
                      data: [
			<?php
			  for($i=0;$i<sizeof($values);$i++) {
			    echo "{ j: '".$jour[$i]."'";
			    echo ", 't': ".$record[$i];
			    echo ", 'm': ".$moyenne[$i];
			    echo ", 'r': ".$values[$i];
			    if($i<sizeof($values)-1) echo " },\n"; else echo " }\n";
			  }
			?>
			], xkey: 'j', ykeys: ['t', 'm', 'r'], labels: ['Record', '<?php echo AVG;?>', '<?php echo PAC;?>'] });
  
  </script>
  <noscript><img src=image_year.php?width=800&amp;height=500></noscript>

</body>
</html>