<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2016  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $heure=array();
  $values=array();
  $champs=array('pac','pdc','kdy','tkk');
  isset($_GET['day']) ? $day=$_GET['day'] : $day=date('Y-m-d');
  $_GET['width']=470;
  $_GET['height']=50;
  $sql="SELECT ROUND(DATE_FORMAT(monitor_date,'%H%i'),0) AS md,
              ROUND(AVG(pac),0) AS pac,
              ROUND(AVG(pdc),0) AS pdc,
              kdy, tkk FROM zzzt
	WHERE DATE(`monitor_date`)='$day' GROUP BY md ORDER BY md ASC";
  $db->query($sql);
  while ($row = $db->fetch()) {
    if(isset($prev) && !isset($_GET['detaille']) &&
	( ($prev<=$row['pdc'] && $prev*1.03>=$row['pdc']) || ($prev>=$row['pdc'] && $prev*0.97<=$row['pdc']) ) 
      ) {$skip+=1;} else {$skip=0;}
    if($skip<1 || $skip>9) {
      $prev=$row['pdc'];
      $heure[]=$day.' '.implode(':',str_split(str_pad((int)$row['md'],4,"0",STR_PAD_LEFT),2));
      $values['rendement'][]=sprintf('%.2F',$row['pac']/($row['pdc']+0.0001)*100);
      foreach($champs as $c) $values[$c][]=$row[$c];
    }
  }
  htmlCommun($day);
  $fixe="image_day.php?width={$_GET['width']}&amp;data=";

?>

<body style='margin:1px'>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <?php echo DAY_PROD;?>
  
  
  <table>
    <tr><TD colspan=3>
<?php
  $sql="SELECT YEAR(date) AS year, production
              FROM zzzt_daily
	WHERE DAY(date) = DAY('$day')
	AND MONTH(date) = MONTH('$day')
	ORDER BY year DESC";
  $db->query($sql);
  $ap=strftime("%e %B %G", strtotime($day))."
";
  while ($row = $db->fetch()) $ap.=DYR." {$row['year']} : {$row['production']} kWh
";

  // Average for last 20 minutes
  $db->query("SELECT MIN(kdy) FROM `zzzt` WHERE `monitor_date` BETWEEN SUBTIME(NOW(),'00:21:00') and SUBTIME(NOW(),'00:19:00')");
  list($kdy20)= $db->fetch();
  if ($kdy20 != NULL) {
    $db->query("SELECT kdy FROM `zzzt` ORDER BY monitor_date DESC LIMIT 0,1");
    list($kdynow)= $db->fetch();
    $ap.=AVG.D20_MN. ($kdynow-$kdy20)*3000 ." W";
  }

  $sql="SELECT * FROM zzzt
	  WHERE DATE(monitor_date) = '{$day}'
	  ORDER BY monitor_date DESC
	  LIMIT 0,1";
  $db->query($sql);
  $titre='	<tr>
			<th>'.DYR.'-'.DMT.'-'.DDY.' '.THR.':'.TMI.'</th>
			<th>'.PDC.'</th>
			<th>'.KDY.'</th>
			<th>'.TKK.'</th>
		</tr>';
  echo '
	<table border=1>';
  $monitors=array();
  while ($row = $db->fetch())
  {
    if(!array_key_exists($row[5],$monitors)) {
      $monitors[$row[5]]='#'.dechex(rand(106,254)).dechex(rand(106,254)).dechex(rand(106,254));
    }
	echo"<tr style='background-color:{$monitors[$row[5]]}'>
		<td>$row[0]</td>
		<td>$row[2]</td>
		<td>$row[3]</td>
		<td>$row[4]</td>
	</tr>";
  }
  echo $titre;
  $sql="SELECT * FROM (
	    SELECT * FROM zzzt WHERE DATE(monitor_date) = '{$day}' ORDER BY monitor_date ASC LIMIT 0,1 )
	    AS zzztdebut ORDER BY monitor_date DESC";
  $db->query($sql);
  while ($row = $db->fetch())
  {
    if(!array_key_exists($row[5],$monitors)) {
      $monitors[$row[5]]='#'.dechex(rand(106,254)).dechex(rand(106,254)).dechex(rand(106,254));
    }
	echo"<tr style='background-color:{$monitors[$row[5]]}'>
		<td>$row[0]</td>
		<td>$row[2]</td>
		<td>$row[3]</td>
		<td>$row[4]</td>
	</tr>";
  }
  $sql="SELECT date,production FROM zzzt_daily
          ORDER BY date DESC LIMIT 1";
      $db->query($sql);
      $row=$db->fetch();
?>
    </TD></tr>
    <tr><TD colspan=4>
      <img src='<?php echo $fixe;?>pac&amp;height=150' title='<?php echo PAC;?>' alt='<?php echo PAC;?>'>
    </TD></tr>
    <tr><TD colspan=4>
      <?php echo KLD.' : '.$row['production'].' kWh'; ?>
    </TD></tr>
  </table>
  
  <div style="padding-top:1em; width:450px;">
    <div class="pag"><a href=mobile.php><?php echo UPDATE;?></a></div>
    <div class="pag"><a href='mobile_day.php?data=pac'><?php echo PAC;?></a></div>
    <div class="pag"><a href='mobile_day.php?data=kdy'><?php echo KDY;?></a></div>
    <div class="pag"><a href='mobile_day.php?data=rendement'><?php echo EFFICIENCY;?></a></div>
    <div class="pag"><a href='mobile_day.php?data=tkk'><?php echo TKK;?></a></div>
  </div>
  
  </body>
    
</html>
