<?php
/*    This file is part of Zzzt!.
    Copyright (C) 2009-2016  Antonio Ho, José Jorge

    Zzzt! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zzzt! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zzzt! .  If not, see <http://www.gnu.org/licenses/>.
*/
  require '../inverter/class_inverter.php';
  session_start();// after the needed classes
  $inverter=new inverter();
  $db=new db($inverter);
  $year=$annees=$values=array();
  
  htmlCommun(BY_MONTH);
?>

<body>
  <b><a href=../inverter/index.php><?php echo APPLICATION;?></a></b>
  <a href=daily.php><?php echo BY_DAY;?></a>
  <?php echo BY_MONTH;?>
  <a href=yearly.php><?php echo KYR;?></a>
  <a href=index.php><?php echo DAY_PROD;?></a>

  <script type="text/javascript" charset="utf-8">
    document.write("<div id=\"holder\"></div>");
     
    <?php
      $sql="SELECT DATE_FORMAT(date,'%m') AS month, DATE_FORMAT(date,'%Y') AS year, date, production FROM zzzt_monthly
	    ORDER BY date ASC";
      $db->query($sql);
      while ($row = $db->fetch()) {
	if(!in_array($row['year'],$year)) $year[]=$row['year'];
	$values[$row['year']][$row['month']]=$row['production'];
      }
      if(date('j')!=1) {
	// current month added : production * (days in the current month / days gone )
	$sql="SELECT DATE_FORMAT(date,'%m') AS month,DATE_FORMAT(date,'%Y') AS year, production FROM zzzt_monthcurrent";
	$db->query($sql);
	$row = $db->fetch();
	if(!in_array($row['year'],$year)) $year[]=$row['year'];
	$enCoursDuMois=round($row['production']);
	$moyenne_quotidienne_du_mois=round($row['production']/(date('j')-1),1);
	$values[$row['year']][$row['month']]=round($row['production']*(date('t')/(date('j')-1)));
      }
      foreach($year as $y) $colors[]=$db->rnd_color();
    ?>

    new Morris.Area({
            element: 'holder',
            lineColors: ['#<?php echo implode("','#",$colors); ?>'], 
            continuousLine: false,
            fillOpacity: 0.5,
            postUnits: 'kWh',
            behaveLikeLine: true,
            parseTime: false,
            hideHover: 'auto', 
            resize: true,
            redraw: true,
            data: [
      <?php
	for($i=1;$i<13;$i++) {
	  $tab=str_pad((int)$i,2,"0",STR_PAD_LEFT);
	  echo "{ a: '".strftime( '%B', mktime(0,0,0,$i,1) )."'";
	  foreach($year as $y) {
	    if(!isset($values[$y][$tab])) $values[$y][$tab]='null';
	    echo ", '$y': ".$values[$y][$tab]; }
	  if($i<12) echo " },\n"; else echo " }\n";
	}
      ?>
              ],
              xkey: 'a',
              ykeys: ['<?php echo implode("','",$year); ?>'],
              labels: ['<?php echo implode("','",$year); ?>'] });

  </script>
  <noscript><br><img src=image_by_month.php?width=1000&amp;height=600></noscript>
  <div id='moyenne'><?php echo strftime( '%B %Y', mktime(0,0,0,date('n'),1) )." : $enCoursDuMois kWh ($moyenne_quotidienne_du_mois kWh/".DDY.')'; ?></div>

</body>
</html>